# pancakes' setup

![Screenshot of my setup running on my PC](screenshot.png)

This is the setup that I use for my personal Arch Linux setup. This includes my window manager and frequently used software.

General install steps:

```sh
git clone https://codeberg.org/pancakes/config.git
cd config
just
```

This config expects to be in ~/config and may break if it is not. For a list of packages that I use see my archinstall configs: [amida](https://trypancakes.com/arch/amida.json), [vlam](https://trypancakes.com/arch/vlam.json). On top of this I use the AUR packages: swww.

Each folder in the root of this repository functions as a module with files inside being stowed (symlinked) relative to `~`. For example, when stowing *river*, `river/.config/river/` is symlinked to `~/.config/river`, `river/.config/xdg-desktop-portal/river-portals.conf` to `~/.config/xdg-desktop-portal/river-portals.conf`, and `river/.config/xdg-desktop-portal-wlr/` to `~/.config/xdg-desktop-portal-wlr`.

## General Info

Window Manager: [river](https://github.com/riverwm/river) (Wayland/wlroots) - [config](river/.config/river/init)

Cursor/Icons: Adwaita

GTK 2/3 Theme: Adwaita (Dark)

Colors: [Tokyo Night (Night)](https://github.com/folke/tokyonight.nvim)

Wallpapers: "OneShot: World Machine Edition" wallpapers

Application Font: Noto Sans

Editor/Terminal Font: [FiraCode Nerd Font](https://github.com/ryanoasis/nerd-fonts/tree/master/patched-fonts/FiraCode)

Bar: [Waybar](https://github.com/Alexays/Waybar) - [config](waybar/.config/waybar/)

Menu: [Fuzzel](https://codeberg.org/dnkl/fuzzel) - [config](fuzzel/.config/fuzzel/fuzzel.ini)

Wallpaper Daemon: [swww](https://github.com/Horus645/swww)

File Manager: [ranger](https://github.com/ranger/ranger) - [config](ranger/.config/ranger/rc.conf) / Thunar

Image/Video Player: [imv](https://sr.ht/~exec64/imv/) / [mpv](https://mpv.io/) - [config]

Editor: [Code - OSS](https://github.com/code-oss-dev/code) - [config](code/.config/Code%20-%20OSS/User/settings.json)

Terminal Emulator: [kitty](https://sw.kovidgoyal.net/kitty/) - [config](kitty/.config/kitty/kitty.conf)

Screenshot tool: [screenshot.sh](screenshot.sh)

Other:

- [GameMode](https://github.com/FeralInteractive/gamemode)
- [gamescope](https://github.com/ValveSoftware/gamescope)
- [GOverlay](https://github.com/benjamimgois/goverlay)
- [Heroic Games Launcher](https://heroicgameslauncher.com/)
- [MangoHud](https://github.com/flightlessmango/MangoHud)
- [Prism Launcher](https://prismlauncher.org/)
- Steam
- [Syncthing](https://syncthing.net/)

## river

### Key binds

#### Applications

kitty (terminal) - Super+Enter

Fuzzel (menu) - Super+D

ranger (files) - Super+E

Thunar (files) - Super+Shift+E

BTOP++ (monitor) - Ctrl+Shift+Escape

#### System

Clipboard history - Super+V

Lock screen - Super+Shift+Escape

Exit session - Super+Alt+Shift+Escape

Screenshot (full) - Print

Screenshot (region) - Alt+Print

Toggle microphone mute - Super+M

#### Window

Close focused - Super+Shift+Q

Focus next/previous - Super+J / Super+K

Swap next/previous - Super+Shift+J / Super+Shift+K

Move focused to main - Super+I

Decrease/increase main size - Super+H / Super+L

Decrement/increment main count - Super+Shift+H / Super+Shift+L

Switch to tag {1,9} - Super+{1,9}

Move focused to tag {1,9} - Super+Shift+{1,9}

Show all tags - Super+0

Move focused to all tags - Super+Shift+0

Set main position (left by default) - Super+Left / Super+Right / Super+Up / Super+Down

Toggle focused floating - Super+Space

Toggle focused fullscreen - Super+Shift+Space
